Bug 1796 - Segmentation fault in login_cache_delentry
Segmentation fault in login_cache_delentry
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Upgrade
3.0.6
x86 Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 08:05 UTC by Peter Daum
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments
Stack trace/ log (20.72 KB, text/plain)
2004-09-19 08:18 UTC, Peter Daum
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Daum 2004-09-19 08:05:08 UTC
Starting with Samba 3.0.6, smbd crashes with a segmentation fault in
login_cache_delentry (see attached trace) as soon as a client connects
(login or even "smbclient -N -L //host" executed on the same machine).

Using the same configuration, Samba 3.0.5 seems to work without any
problem (not tested extensively, for production I still use 2.2.x).

The following options are used for compilation:
./configure \
--prefix=$samba_dir \
--with-configdir=$samba_dir/etc \
--with-privatedir=$samba_dir/etc \
--with-logfilebase=/var/log \
--localstatedir=/var/log \
--with-lockdir=/var/lock/samba \
--with-piddir=/var/run \
--with-smbmount \
--with-ldapsam \

User accounts live in a (samba 2.2 "ldapsam") LDAP directory
based on OpenLDAP 2.1.30.
Comment 1 Peter Daum 2004-09-19 08:18:49 UTC
Created attachment 671 [details]
Stack trace/ log

This stack trace was triggered by entering
"smbclient -N -L //hostname" on the samba server.

(If needed, I can send a level 10 log by email -
for privacy reasons, I'd rather not post it here
Comment 2 Peter Daum 2004-09-19 08:23:47 UTC
> (If needed, I can send a level 10 log by email -
Note: the - slightly shortened - log is included!
Comment 3 Gerald (Jerry) Carter 2004-11-09 06:49:12 UTC
Peter,  Can you let me know if this crash bug still exists
in Samba 3.0.8 ?  Thanks.
Comment 4 Peter Daum 2004-11-12 16:09:03 UTC
(In reply to comment #3)

it looks like this bug is fixed in 3.0.8
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:17:07 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.